% function y=cumnorm(mu,v);
%
% computes the integral from -infinity to 0 of a normal distribution  with 
% mean mu and variance v. Calls the erf function, but uses an exponential 
% approximation out in the far tails. 

function y=cumnorm(mu,v);

if mu/sqrt(2*v)<5.5,
  y=0.5*(1+erf(-mu/sqrt(2*v)));
else
  lambda=v^2/mu; % mu is positive
  pgauss0=1/sqrt(2*pi*v)*exp(-mu^2/(2*v));   % prob density of gaussian at 0
  y=pgauss0*lambda;
end;

